# FTC Hardware Config 2023

**DISCLAIMER:** View the robot like this.

![Bird's eye view of robot.](/Robot.png "Bird's eye view of robot")

Configuration Name: **cometBoTsChassis2023**

There are two robots: 14493-DS, and FTC-992M.

Below are the following configurations for our robots

| physical port | hub       | robot  part                | robot part location           | robot software config name |
|---------------|-----------|----------------------------|-------------------------------|----------------------------|
| motor0        | control   | UltraPlanetary HD hex motor | right front leg frame         | Drive front rt             |
| motor1        | control   | UltraPlanetary HD hex motor | right back leg frame          | Drive back rt              |
| motor2        | control   | UltraPlanetary HD hex motor | left front leg frame          | Drive front lt             |
| motor3        | control   | UltraPlanetary HD hex motor | left back leg frame           | Drive back lt              |
| I2C B0        | control   | Color sensor V3            | Left outside leg frame        | color left                 |
 | I2C B1        | control   | Color sensor V3            | Right outside leg frame       | color right                |
 | I2C B0        | expansion | 2m distance sensor         | Middle Back outside leg frame | distance                   |
| motor0        | expansion | UltraPlanetary HD hex motor | left back arm frame           | arm raise                  |
| motor1        | expansion | Core Hex Motor             | right back arm frame          | hang                       |
| motor3        | expansion | Digital device             | arm frame back right          | axle encoder               |
| Servo 0       | expansion | Servo                      | on arm                        | wrist                      |
| Servo 1       | expansion | Servo                      | on arm                        | gripper                    |





